# Uses of Interface
org.eclipse.e4.ui.model.application.commands.MCommand

Packages that use MCommand
Package
Description
org.eclipse.e4.ui.model.application
Application programming interfaces describing the Eclipse 4 application model elements.
org.eclipse.e4.ui.model.application.commands
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.

## Uses of MCommand in org.eclipse.e4.ui.model.application

Methods in org.eclipse.e4.ui.model.application that return MCommand
Modifier and Type
Method
Description
`MCommand`
MApplication.`getCommand(String elementId)`
Returns the model element for the command identified via the elementId or null if the element cannot be found.
Methods in org.eclipse.e4.ui.model.application that return types with arguments of type MCommand
Modifier and Type
Method
Description
`List<MCommand>`
MApplication.`getCommands()`
Returns the value of the 'Commands' containment reference list.

## Uses of MCommand in org.eclipse.e4.ui.model.application.commands

Methods in org.eclipse.e4.ui.model.application.commands that return MCommand
Modifier and Type
Method
Description
`MCommand`
MCommandsFactory.`createCommand()`
Returns a new object of class 'Command'.
`MCommand`
MHandler.`getCommand()`
Returns the value of the 'Command' reference.
`MCommand`
MKeyBinding.`getCommand()`
Returns the value of the 'Command' reference.
Methods in org.eclipse.e4.ui.model.application.commands with parameters of type MCommand
Modifier and Type
Method
Description
`void`
MHandler.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.
`void`
MKeyBinding.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.

## Uses of MCommand in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MCommand
Modifier and Type
Method
Description
`MCommand`
MHandledItem.`getCommand()`
Returns the value of the 'Command' reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu with parameters of type MCommand
Modifier and Type
Method
Description
`void`
MHandledItem.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.